Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.mock.web.portlet
Class MockStateAwareResponse

    java.lang.Object
      org.springframework.mock.web.portlet.MockPortletResponse
          org.springframework.mock.web.portlet.MockStateAwareResponse

All Implemented Interfaces:
  javax.portlet.PortletResponse, javax.portlet.StateAwareResponse

Direct Known Subclasses:
  MockActionResponse, MockEventResponse

    public class MockStateAwareResponse

extends MockPortletResponse
implements javax.portlet.StateAwareResponse

Mock implementation of the `StateAwareResponse` interface.

Since:
  3.0
Author:
  Juergen Hoeller

Constructor Summary
`MockStateAwareResponse()` Create a new MockActionResponse with a default `MockPortalContext`.
`MockStateAwareResponse(javax.portlet.PortalContext portalContext)` Create a new MockActionResponse.

Method Summary
`java.io.Serializable` | `getEvent(javax.xml.namespace.QName name)`
`java.io.Serializable` | `getEvent(java.lang.String name)`
`java.util.Iterator<javax.xml.namespace.QName>` | `getEventNames()`
`javax.portlet.PortletMode` | `getPortletMode()`
`java.lang.String` | `getRenderParameter(java.lang.String key)`
`java.util.Map<java.lang.String,java.lang.String[]>` | `getRenderParameterMap()`
`java.util.Iterator<java.lang.String>` | `getRenderParameterNames()`
`java.lang.String[]` | `getRenderParameterValues(java.lang.String key)`
`javax.portlet.WindowState` | `getWindowState()`
`void` | `removePublicRenderParameter(java.lang.String name)`
`void` | `setEvent(javax.xml.namespace.QName name, java.io.Serializable value)`
`void` | `setEvent(java.lang.String name, java.io.Serializable value)`
`void` | `setPortletMode(javax.portlet.PortletMode portletMode)`
`void` | `setRenderParameter(java.lang.String key, java.lang.String value)`
`void` | `setRenderParameter(java.lang.String key, java.lang.String[] values)`
`void` | `setRenderParameters(java.util.Map<java.lang.String,java.lang.String[]> parameters)`
`void` | `setWindowState(javax.portlet.WindowState windowState)`

Methods inherited from class org.springframework.mock.web.portlet.MockPortletResponse
`addProperty, addProperty, addProperty, createElement, encodeURL, getCookie, getCookies, getNamespace, getPortalContext, getProperties, getProperty, getPropertyNames, getXmlProperties, getXmlProperty, getXmlPropertyNames, setNamespace, setProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.portlet.PortletResponse
`addProperty, addProperty, addProperty, createElement, encodeURL, getNamespace, setProperty`

Constructor Detail

### MockStateAwareResponse

    public MockStateAwareResponse()

  Create a new MockActionResponse with a default `MockPortalContext`.

  See Also:
    `MockPortalContext`

### MockStateAwareResponse

    public MockStateAwareResponse(javax.portlet.PortalContext portalContext)

  Create a new MockActionResponse.

  Parameters:
    `portalContext` - the PortalContext defining the supported PortletModes and WindowStates

Method Detail

### setWindowState

    public void setWindowState(javax.portlet.WindowState windowState)
                        throws javax.portlet.WindowStateException

  Specified by:
    `setWindowState` in interface `javax.portlet.StateAwareResponse`
  Throws:
    `javax.portlet.WindowStateException`

### getWindowState

    public javax.portlet.WindowState getWindowState()

  Specified by:
    `getWindowState` in interface `javax.portlet.StateAwareResponse`

### setPortletMode

    public void setPortletMode(javax.portlet.PortletMode portletMode)
                        throws javax.portlet.PortletModeException

  Specified by:
    `setPortletMode` in interface `javax.portlet.StateAwareResponse`
  Throws:
    `javax.portlet.PortletModeException`

### getPortletMode

    public javax.portlet.PortletMode getPortletMode()

  Specified by:
    `getPortletMode` in interface `javax.portlet.StateAwareResponse`

### setRenderParameters

    public void setRenderParameters(java.util.Map<java.lang.String,java.lang.String[]> parameters)

  Specified by:
    `setRenderParameters` in interface `javax.portlet.StateAwareResponse`

### setRenderParameter

    public void setRenderParameter(java.lang.String key,
                                   java.lang.String value)

  Specified by:
    `setRenderParameter` in interface `javax.portlet.StateAwareResponse`

### setRenderParameter

    public void setRenderParameter(java.lang.String key,
                                   java.lang.String[] values)

  Specified by:
    `setRenderParameter` in interface `javax.portlet.StateAwareResponse`

### getRenderParameter

    public java.lang.String getRenderParameter(java.lang.String key)

### getRenderParameterValues

    public java.lang.String[] getRenderParameterValues(java.lang.String key)

### getRenderParameterNames

    public java.util.Iterator<java.lang.String> getRenderParameterNames()

### getRenderParameterMap

    public java.util.Map<java.lang.String,java.lang.String[]> getRenderParameterMap()

  Specified by:
    `getRenderParameterMap` in interface `javax.portlet.StateAwareResponse`

### removePublicRenderParameter

    public void removePublicRenderParameter(java.lang.String name)

  Specified by:
    `removePublicRenderParameter` in interface `javax.portlet.StateAwareResponse`

### setEvent

    public void setEvent(javax.xml.namespace.QName name,
                         java.io.Serializable value)

  Specified by:
    `setEvent` in interface `javax.portlet.StateAwareResponse`

### setEvent

    public void setEvent(java.lang.String name,
                         java.io.Serializable value)

  Specified by:
    `setEvent` in interface `javax.portlet.StateAwareResponse`

### getEventNames

    public java.util.Iterator<javax.xml.namespace.QName> getEventNames()

### getEvent

    public java.io.Serializable getEvent(javax.xml.namespace.QName name)

### getEvent

    public java.io.Serializable getEvent(java.lang.String name)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD